Bug 1123675 - [abrt] gnome-shell: glx_event_filter_cb(): gnome-shell killed by SIGSEGV
Summary: [abrt] gnome-shell: glx_event_filter_cb(): gnome-shell killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-shell
Version: 21
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Owen Taylor
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:ceb4ceffd20e9f8da820b979856...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-27 22:08 UTC by Carlos Morel-Riquelme
Modified: 2015-12-02 16:10 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-02 03:18:25 UTC


Attachments (Terms of Use)
File: backtrace (37.52 KB, text/plain)
2014-07-27 22:08 UTC, Carlos Morel-Riquelme
no flags Details
File: cgroup (190 bytes, text/plain)
2014-07-27 22:08 UTC, Carlos Morel-Riquelme
no flags Details
File: core_backtrace (18.26 KB, text/plain)
2014-07-27 22:09 UTC, Carlos Morel-Riquelme
no flags Details
File: dso_list (23.82 KB, text/plain)
2014-07-27 22:09 UTC, Carlos Morel-Riquelme
no flags Details
File: environ (1.14 KB, text/plain)
2014-07-27 22:09 UTC, Carlos Morel-Riquelme
no flags Details
File: exploitable (82 bytes, text/plain)
2014-07-27 22:09 UTC, Carlos Morel-Riquelme
no flags Details
File: limits (1.29 KB, text/plain)
2014-07-27 22:09 UTC, Carlos Morel-Riquelme
no flags Details
File: maps (100.81 KB, text/plain)
2014-07-27 22:09 UTC, Carlos Morel-Riquelme
no flags Details
File: open_fds (2.48 KB, text/plain)
2014-07-27 22:09 UTC, Carlos Morel-Riquelme
no flags Details
File: proc_pid_status (1.06 KB, text/plain)
2014-07-27 22:09 UTC, Carlos Morel-Riquelme
no flags Details
File: var_log_messages (1.48 KB, text/plain)
2014-07-27 22:09 UTC, Carlos Morel-Riquelme
no flags Details

Description Carlos Morel-Riquelme 2014-07-27 22:08:54 UTC
Version-Release number of selected component:
gnome-shell-3.13.4-1.fc21

Additional info:
reporter:       libreport-2.2.3
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: glx_event_filter_cb
executable:     /usr/bin/gnome-shell
kernel:         3.16.0-0.rc6.git2.1.fc21.x86_64
runlevel:       unknown
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (8 frames)
 #0 glx_event_filter_cb at /lib64/libcogl.so.20
 #1 _cogl_renderer_handle_native_event at /lib64/libcogl.so.20
 #2 cogl_xlib_filter at /lib64/libclutter-1.0.so.0
 #3 clutter_backend_x11_translate_event at /lib64/libclutter-1.0.so.0
 #4 clutter_x11_handle_event at /lib64/libclutter-1.0.so.0
 #5 x_event_source_dispatch at /lib64/libmutter.so.0
 #7 g_main_context_iterate.isra at /lib64/libglib-2.0.so.0
 #9 meta_run at /lib64/libmutter.so.0

Comment 1 Carlos Morel-Riquelme 2014-07-27 22:08:58 UTC
Created attachment 921559 [details]
File: backtrace

Comment 2 Carlos Morel-Riquelme 2014-07-27 22:08:59 UTC
Created attachment 921560 [details]
File: cgroup

Comment 3 Carlos Morel-Riquelme 2014-07-27 22:09:01 UTC
Created attachment 921561 [details]
File: core_backtrace

Comment 4 Carlos Morel-Riquelme 2014-07-27 22:09:02 UTC
Created attachment 921562 [details]
File: dso_list

Comment 5 Carlos Morel-Riquelme 2014-07-27 22:09:03 UTC
Created attachment 921563 [details]
File: environ

Comment 6 Carlos Morel-Riquelme 2014-07-27 22:09:04 UTC
Created attachment 921564 [details]
File: exploitable

Comment 7 Carlos Morel-Riquelme 2014-07-27 22:09:06 UTC
Created attachment 921565 [details]
File: limits

Comment 8 Carlos Morel-Riquelme 2014-07-27 22:09:08 UTC
Created attachment 921566 [details]
File: maps

Comment 9 Carlos Morel-Riquelme 2014-07-27 22:09:09 UTC
Created attachment 921567 [details]
File: open_fds

Comment 10 Carlos Morel-Riquelme 2014-07-27 22:09:10 UTC
Created attachment 921568 [details]
File: proc_pid_status

Comment 11 Carlos Morel-Riquelme 2014-07-27 22:09:11 UTC
Created attachment 921569 [details]
File: var_log_messages

Comment 12 Fedora End Of Life 2015-11-04 15:10:05 UTC
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 13 Fedora End Of Life 2015-12-02 03:18:29 UTC
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.